Home > Atheros Drivers > Atheros Drivers Linux Atl1e

Atheros Drivers Linux Atl1e

For more on why this is helpful, please see https://wiki.ubuntu.com/ReportingBugs. Whatever I'm grateful to the two folk whose blogs I read to help me connect the Dell here to the Internet. I've spent hours searching for some drivers, and I found two: 1. If you are new here, you might want to subscribe to the RSS feed for updates on this topic.Now, instead of manually installing Atheros drivers, I can install them from ELRepo! have a peek at this web-site

But as I said in the initial post: the patch is only needed for kernels > 2.6.34, it leaves the code as is for older kernel versions. http://sourceforge.net/apps/mediawik...itle=Main_Page You can use the windows driver with ndiswrapper that you already got with the card. Selecting previously unselected package linux-headers-4.1.0-040100rc2-generic. Blogs Recent Entries Best Entries Best Blogs Blog List Search Blogs Home Forums HCL Reviews Tutorials Articles Register Search Search Forums Advanced Search Search Tags Search LQ Wiki Search Tutorials/Articles Search

However, I always fail while unpacking it: Code: gzip: stdin: decompression OK, trailing garbage ignored tar: Child returned status 2 tar: Error is not recoverable: exiting now 2. I'm using Ubuntu for years now but there are many situations when I have to learn and learn again that the problem is mostly between keyboard and chair... Preparing to unpack linux-image-4.1.0-040100rc2-generic_4.1.0-040100rc2.201505032335_amd64.deb ... Code: cd /tmp/Atheros/drv tar xvvf AR81Family-linux-v1.0.1.14.tar.gz cd /tmp/Atheros/patch tar xvvf AR81Family-linux-v1-1.0.1.14.patch.tar.gz sudo make install sudo modprobe atl1e Neither further patching was required, nor any other command.

Bad return status for module build on kernel: 4.1.0-040100rc2-generic (x86_64) Consult /var/lib/dkms/ndiswrapper/1.59/build/make.log for more information. lspci -n will print the manufactures ID. orking/alxI install thet tarball found here both to /tmp and /opt, but cannot get it compiled !.I untarred it .Next I run #./scripts/driver-select alxThen I cannot get past make. Back to top #10 xpertvision Posted 09 March 2009 - 09:58 PM xpertvision InsanelyMac Geek Members 220 posts the linux and bsd drivers exist !

Or it may have grown more awesome with age, like the author. Penalver (penalvch) wrote on 2015-05-10: #17 Cyking, the next step is to fully commit bisect from kernel 3.13 to 3.19 in order to identify the last good kernel commit, followed immediately Thanks in advance! news Here on Debian (Squeeze), it works without problems. (I don't see any atl1e or similar in lsmod's output).

Bad return status for module build on kernel: 4.1.0-040100rc2-generic (x86_64) Consult /var/lib/dkms/fglrx-updates-core/15.200/build/make.log for more information. Register now! thougt it should appear in ifconfig right after modprobe thanks a lot for the instructions. Back to top Page 1 of 12 1 2 3 Next » Back to LAN and Wireless 5 user(s) are reading this topic 0 members, 5 guests, 0 anonymous users Reply

I unpacked into a totally different directory, tmp Atheros patch 3) I changed into that directory (patch) 4) install it - It works! To compile this driver as a module, choose M here. Error! Join our community today!

From their official web page (http://partner.atheros.com/Drivers.aspx), I downloaded drivers named "AR81Family Linux Driver". Check This Out Hello there! We are looking for the first kernel version that exhibits this bug: v3.14 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.14-trusty v3.16 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.16-utopic/ v3.19 final: http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.19-vivid/ You don't have to test every kernel, just up until Checking connectivity...

tags: added: performing-bisectremoved: needs-bisect Cyking (cy-alexander-king) wrote on 2015-05-19: #24 Thank you so much, Joseph, for agreeing to help. update-initramfs: deferring update (hook will be called later) Examining /etc/kernel/postinst.d. Cyking (cy-alexander-king) wrote on 2015-06-23: #35 Hi! Source Code: modinfo /lib/modules/2.6.32-28-generic/kernel/drivers/net/atl1e/atl1e.ko filename: /lib/modules/2.6.32-28-generic/kernel/drivers/net/atl1e/atl1e.ko version: 1.0.1.14 license: GPL author: Atheros Corporation, , Jie Yang description: Atheros Gigabit Ethernet driver srcversion: D420C02689CDDB8DF937282 alias: pci:v00001969d00002062sv*sd*bc*sc*i* alias: pci:v00001969d00001083sv*sd*bc*sc*i* alias: pci:v00001969d00001073sv*sd*bc*sc*i* alias: pci:v00001969d00002060sv*sd*bc*sc*i*

Hope this helps. By joining our community you will have the ability to post topics, receive our newsletter, use the advanced search, subscribe to threads and access many other special features. If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to

I am not sure what exactly is manufactures code for device, so this is output for interesting part of lspci -v: Code: 02:00.0 Ethernet controller: Atheros Communications AR8121/AR8113/AR8114 Gigabit or Fast

The driver in linux kernel Ubuntu-3.13 works and Ubuntu-3.19 does not. was here/opt/compat/compat-wireless-2012-05-10-p/include/linux/compat-3.2.h:35: fout: redefinition of ?skb_frag_dma_map?include/linux/skbuff.h:1729: note: previous definition of ?skb_frag_dma_map? Now,has modified the part of the code, but have 300 compile errors. I am not sure if the I have all the tools to build/compile the drivers on the new computer.

Notices Welcome to LinuxQuestions.org, a friendly and active Linux Community. Main Menu LQ Calendar LQ Rules LQ Sitemap Site FAQ View New Posts View Latest Posts Zero Reply Threads LQ Wiki Most Wanted Jeremy's Blog Report LQ Bug Syndicate Latest We need to identify the earliest kernel where the issue started happening as well as the latest kernel that did not have this issue. http://tbapplication.com/atheros-drivers/atheros-drivers-inf.html Examining /etc/kernel/header_postinst.d.

AR8161 Gigabit Ethernet --unable to compile alx module Quote Postby jameslast » 2012/09/24 12:59:54 hello Toracat,thank you for the reply.I found a sollution 10 minutes ago here :http://elrepo.org/bugs/view.php?id=306saying the package found Stop.make: *** [install] Error 2 Top centguy Posts: 225 Joined: 2008/08/11 16:03:29 Re: [RESOLVED] Atheros Communications Inc. AR8161 Gigabit Ethernet --unable to compile alx module - SOLVED - Quote Postby jameslast » 2012/09/24 16:36:05 Hello Toracat,thanks again for the reply and the advise.This works ! I think those who can write kext should read the driver to understand how does it work, but seems nobody wants to help us...

sorry for the delay, I ended up putting an Intel NIC in so I could get the machine back to production and then work got me busy. Linux Main-PC 3.13.11-031311-generic #201404222035 SMP Wed Apr 23 00:36:02 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux 32MB/sec throughput Joseph Salisbury (jsalisbury) wrote on 2015-05-19: #27 Thanks for testing. Joseph Salisbury (jsalisbury) on 2015-07-15 Changed in linux (Ubuntu): status: Confirmed → Incomplete Launchpad Janitor (janitor) wrote on 2015-09-14: #36 [Expired for linux (Ubuntu) because there has been no activity for Atheros offers linux drivers for the AR81 family on their website: AR81Family Linux Driver Since some data structures of net_device changed in 2.6.35, the above driver does not compile with kernels

Stop. "). Plz! AR8161 Gigabit Ethernet --unable to compile alx module Quote Postby centguy » 2013/02/05 16:38:10 Well, now I finally understand the yum install is to install unrar, ... I cannot find that.I did install atl1e.i686 from ATRpms, that did not wake up eth0Several posts point me to this site : http://www.linuxfoundation.org/collabor ...

Examining /etc/kernel/preinst.d/ run-parts: executing /etc/kernel/preinst.d/intel-microcode 4.1.0-040100rc2-generic /boot/vmlinuz-4.1.0-040100rc2-generic Done. tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-4.1-rc2 Changed in linux (Ubuntu): status: Incomplete → Confirmed Cyking (cy-alexander-king) wrote on 2015-05-10: #16 and yes, I did reboot ;-) Christopher M. Back to top #18 marionez Posted 18 March 2009 - 01:55 PM marionez InsanelyMac Sage Members 432 posts Great! was here/opt/compat/compat-wireless-2012-05-10-p/include/linux/compat-3.2.h:46: fout: redefinition of ?skb_frag_size?include/linux/skbuff.h:148: note: previous definition of ?skb_frag_size?